Polyrankdocs
Rankings

GET /v1/rankings/presets

List the active leaderboard presets (slug, name, description and its parts, config).

GET
/v1/rankings/presets

List the active leaderboard presets (slug, name, description and its parts, config).

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Response Body

application/json

curl -X GET "https://example.com/v1/rankings/presets"
{  "presets": [    {      "id": "string",      "name": "string",      "description": "string",      "sort_order": -9007199254740991,      "config": {        "version": 1,        "weights": {          "property1": {            "weight": 0,            "window": "lifetime"          },          "property2": {            "weight": 0,            "window": "lifetime"          }        },        "filters": {},        "na_policy": "exclude",        "preset_id": null,        "created_via_preset_id": null      },      "effective_weights": {        "property1": 0,        "property2": 0      },      "dropped_weights": [        "string"      ],      "board_group": "string",      "column_set": "string",      "description_parts": {        "promise": "string",        "rules": "string",        "result": "string",        "setting": "string"      }    }  ]}